# CMSIS-DSP: arm_cfft_radix2_q15.c File Reference

| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix2_q15.c File Reference

## Functions

void | arm_radix2_butterfly_q15 (q15_t *pSrc, uint32_t fftLen, q15_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix2_butterfly_inverse_q15 (q15_t *pSrc, uint32_t fftLen, q15_t *pCoef, uint16_t twidCoefModifier)
void | arm_bitreversal_q15 (q15_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTab)
void | arm_cfft_radix2_q15 (const arm_cfft_radix2_instance_q15 *S, q15_t *pSrc)
| Processing function for the fixed-point CFFT/CIFFT.

## Function Documentation

void arm_bitreversal_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

void arm_radix2_butterfly_inverse_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

References _SIMD32_OFFSET.

Referenced by arm_cfft_radix2_q15().

void arm_radix2_butterfly_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

References _SIMD32_OFFSET.

Referenced by arm_cfft_radix2_q15().